# Delauney::Triangulator Class Reference

Inheritance diagram for Delauney::Triangulator:

List of all members.

## Public Member Functions
| Triangulator (const TMCArray< Vertex > &vertices)
| ~Triangulator ()
void | Triangulate ()
void | AddConstraint (VertexIndex vertexIndex1, VertexIndex vertexIndex2)
const TMCPtrArray< const Triangle > * | GetTriangulation ()
const Vertex & | GetVertex (VertexIndex vertexIndex)
boolean | CheckContraint (VertexIndex vertexIndex1, VertexIndex vertexIndex2)
## Protected Member Functions
void | TriangulateButterfly (const Polygon &polygon, VertexIndex vertexIndex)
boolean | MergeTriangles (Polygon &mergedPolygon, TMCPtrArray< Triangle > trianglesToMerge)
boolean | Triangulate (const Polygon &polygon)
void | ScaleData ()
## Private Attributes
VertexList | fVertices
TMCPtrArray< Triangle > | fTriangles
TMCPtrArray< TMCArray< int32 > > | fConstraints

## Constructor & Destructor Documentation

Delauney::Triangulator::Triangulator | ( | const TMCArray< Vertex > & | vertices | ) |

Delauney::Triangulator::~Triangulator | ( |  | ) |

## Member Function Documentation

void Delauney::Triangulator::AddConstraint | ( | VertexIndex | vertexIndex1,
|  | VertexIndex | vertexIndex2 |
| ) |  |  |

boolean Delauney::Triangulator::CheckContraint | ( | VertexIndex | vertexIndex1,
|  | VertexIndex | vertexIndex2 |
| ) |  |  |

const TMCPtrArray<const Triangle>* Delauney::Triangulator::GetTriangulation | ( |  | ) |

const Vertex& Delauney::Triangulator::GetVertex | ( | VertexIndex | vertexIndex | ) | `[inline]`

boolean Delauney::Triangulator::MergeTriangles | ( | Polygon & | mergedPolygon,
|  | TMCPtrArray< Triangle > | trianglesToMerge |
| ) |  |  | `[protected]`

void Delauney::Triangulator::ScaleData | ( |  | ) | `[protected]`

boolean Delauney::Triangulator::Triangulate | ( | const Polygon & | polygon | ) | `[protected]`

void Delauney::Triangulator::Triangulate | ( |  | ) |

void Delauney::Triangulator::TriangulateButterfly | ( | const Polygon & | polygon,
|  | VertexIndex | vertexIndex |
| ) |  |  | `[protected]`

## Member Data Documentation

TMCPtrArray< TMCArray<int32> > Delauney::Triangulator::fConstraints`[private]`

TMCPtrArray<Triangle> Delauney::Triangulator::fTriangles`[private]`

VertexList Delauney::Triangulator::fVertices`[private]`

The documentation for this class was generated from the following file:

- Delauney.h